Skip to navigation

Claim a Domain

Beta

Claims ownership of a custom domain that is bound to a different store. Before calling this endpoint, publish the ownership-verification TXT record returned by the Add a Domain endpoint’s 409 response. Once the TXT record is verified, the domain is released from the other store and bound to this project.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Infrastructure Deploymentsread-onlystore_infrastructure_deployments_read_only
Infrastructure Deploymentscreate previewstore_infrastructure_deployments_create_preview
Infrastructure Deploymentsmanagestore_infrastructure_deployments_manage
Infrastructure Projectsread-onlystore_infrastructure_projects_read_only
Infrastructure Projectsmanagestore_infrastructure_projects_manage
Infrastructure Logsread-onlystore_infrastructure_logs_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

project_uuidstringRequiredformat: "uuid"
The UUID of the project to claim the domain for.
domainstringRequired
The custom domain name to claim.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Response

The domain was claimed successfully. No content is returned.

Errors

404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error